#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
from netCDF4 import Dataset
import ffgrid2



################ fichiers par canal - mois de juin ###################################################


f1 = '/net/dedale/usr/dedale/surf/lelod/ANTARC/SSMIS_CH'
f3 = '_ANTARC_JUNE2010.DAT'
channel = np.array([12, 13, 15, 16, 17, 18])
numlines = np.zeros([len(channel)],int)

for ich in range (0, len(channel)):
     print channel[ich] 
     f = f1 + str(channel[ich]) + f3
     fichier = open(f, 'r')
     numlines[ich] = 0
     for line in fichier: numlines[ich] += 1

      fichier.close()





ich = 0 # 37GHz, H 
fichier = open(f1 + str(channel[ich]) + f3, 'r')
ssmis = np.zeros([18, numlines[ich]], float)
for iligne in range (0,numlines[ich]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close


ssch15_JUN=ssmis
lon15_JUN=ssch15_JUN[0,:]
lat15_JUN=ssch15_JUN[1,:]
jjr15_JUN=ssch15_JUN[4,:]
ts15_JUN=ssch15_JUN[8,:]
emis15_JUN=ssch15_JUN[14,:]
tb15_JUN=ssch15_JUN[13,:]
tup15_JUN=ssch15_JUN[16,:]
tdn15_JUN=ssch15_JUN[15,:]
trans15_JUN=ssch15_JUN[17,:]
orog15_JUN=ssch15_JUN[11,:]


ich = 3 # 37GHz, V polar
fichier = open(f1 + str(channel[ich]) + f3, 'r')
ssmis = np.zeros([18, numlines[ich]], float)
for iligne in range (0,numlines[ich]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close


ssch16_JUN=ssmis
lon16_JUN=ssch16_JUN[0,:]
lat16_JUN=ssch16_JUN[1,:]
jjr16_JUN=ssch16_JUN[4,:]
ts16_JUN=ssch16_JUN[8,:]
emis16_JUN=ssch16_JUN[14,:]
tb16_JUN=ssch16_JUN[13,:]
tup16_JUN=ssch16_JUN[16,:]
tdn16_JUN=ssch16_JUN[15,:]
trans16_JUN=ssch16_JUN[17,:]
orog16_JUN=ssch16_JUN[11,:]


ich = 0 # 19.35GHz, H polar
fichier = open(f1 + str(channel[ich]) + f3, 'r')
ssmis = np.zeros([18, numlines[ich]], float)
for iligne in range (0,numlines[ich]-1):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close


ssch12_JUN=ssmis
lon12_JUN=ssch12_JUN[0,:]
lat12_JUN=ssch12_JUN[1,:]
jjr12_JUN=ssch12_JUN[4,:]
ts12_JUN=ssch12_JUN[8,:]
emis12_JUN=ssch12_JUN[14,:]
tb12_JUN=ssch12_JUN[13,:]
tup12_JUN=ssch12_JUN[16,:]
tdn12_JUN=ssch12_JUN[15,:]
trans12_JUN=ssch12_JUN[17,:]
orog12_JUN=ssch12_JUN[11,:]


ich = 1 # 19.35GHz, V polar
fichier = open(f1 + str(channel[ich]) + f3, 'r')
ssmis = np.zeros([18, numlines[ich]], float)
for iligne in range (0,numlines[ich]-1):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close


ssch13_JUN=ssmis
lon13_JUN=ssch13_JUN[0,:]
lat13_JUN=ssch13_JUN[1,:]
jjr13_JUN=ssch13_JUN[4,:]
ts13_JUN=ssch13_JUN[8,:]
emis13_JUN=ssch13_JUN[14,:]
tb13_JUN=ssch13_JUN[13,:]
tup13_JUN=ssch13_JUN[16,:]
tdn13_JUN=ssch13_JUN[15,:]
trans13_JUN=ssch13_JUN[17,:]
orog13_JUN=ssch13_JUN[11,:]


ich = 4 # 91.66GHz, V polar
fichier = open(f1 + str(channel[ich]) + f3, 'r')
ssmis = np.zeros([18, numlines[ich]], float)
for iligne in range (0,numlines[ich]-1):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close


ssch17_JUN=ssmis
lon17_JUN=ssch17_JUN[0,:]
lat17_JUN=ssch17_JUN[1,:]
jjr17_JUN=ssch17_JUN[4,:]
ts17_JUN=ssch17_JUN[8,:]
emis17_JUN=ssch17_JUN[14,:]
tb17_JUN=ssch17_JUN[13,:]
tup17_JUN=ssch17_JUN[16,:]
tdn17_JUN=ssch17_JUN[15,:]
trans17_JUN=ssch17_JUN[17,:]
orog17_JUN=ssch17_JUN[11,:]


ich = 5 # 91.66GHz, H polar
fichier = open(f1 + str(channel[ich]) + f3, 'r')
ssmis = np.zeros([18, numlines[ich]], float)
for iligne in range (0,numlines[ich]-1):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close


ssch18_JUN=ssmis
lon18_JUN=ssch18_JUN[0,:]
lat18_JUN=ssch18_JUN[1,:]
jjr18_JUN=ssch18_JUN[4,:]
ts18_JUN=ssch18_JUN[8,:]
emis18_JUN=ssch18_JUN[14,:]
tb18_JUN=ssch18_JUN[13,:]
tup18_JUN=ssch18_JUN[16,:]
tdn18_JUN=ssch18_JUN[15,:]
trans18_JUN=ssch18_JUN[17,:]
orog18_JUN=ssch18_JUN[11,:]




############### fichiers par mois pour deux canaux (polars H et V) ##################################

########
# ch17 #
########

f1 = '/net/dedale/usr/dedale/surf/lelod/ANTARC/SSMIS_CH17_ANTARC_'
f3 = '2010.DAT'
date=np.array(['FEBRUARY', 'APRIL', 'MAY', 'JUNE', 'JULY'])
numlines = np.zeros([len(date)],int)

for imo in range (0, len(date)):
     print date[imo] 
     f = f1 + str(date[imo]) + f3
     fichier = open(f, 'r')
     numlines[imo] = 0
     for line in fichier: numlines[imo] += 1

      fichier.close()


imo = 0 # FEBUARY
fichier = open(f1 + str(date[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])

    fichier.close

ssch17_FEB=ssmis
lon17_FEB=ssch17_FEB[0,:]
lat17_FEB=ssch17_FEB[1,:]
jjr17_FEB=ssch17_FEB[4,:]
ts17_FEB=ssch17_FEB[8,:]
emis17_FEB=ssch17_FEB[14,:]
tb17_FEB=ssch17_FEB[13,:]
tup17_FEB=ssch17_FEB[16,:]
tdn17_FEB=ssch17_FEB[15,:]
trans17_FEB=ssch17_FEB[17,:]
orog17_FEB=ssch17_FEB[11,:]


imo = 1 # APRIL
fichier = open(f1 + str(date[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])

    fichier.close

ssch17_APR=ssmis
lon17_APR=ssch17_APR[0,:]
lat17_APR=ssch17_APR[1,:]
jjr17_APR=ssch17_APR[4,:]
ts17_APR=ssch17_APR[8,:]
emis17_APR=ssch17_APR[14,:]
tb17_APR=ssch17_APR[13,:]
tup17_APR=ssch17_APR[16,:]
tdn17_APR=ssch17_APR[15,:]
trans17_APR=ssch17_APR[17,:]
orog17_APR=ssch17_APR[11,:]


imo = 2 # MAY
fichier = open(f1 + str(date[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])

    fichier.close

ssch17_MAY=ssmis
lon17_MAY=ssch17_MAY[0,:]
lat17_MAY=ssch17_MAY[1,:]
jjr17_MAY=ssch17_MAY[4,:]
ts17_MAY=ssch17_MAY[8,:]
emis17_MAY=ssch17_MAY[14,:]
tb17_MAY=ssch17_MAY[13,:]
tup17_MAY=ssch17_MAY[16,:]
tdn17_MAY=ssch17_MAY[15,:]
trans17_MAY=ssch17_MAY[17,:]
orog17_MAY=ssch17_MAY[11,:]


imo = 3 # JUNE
fichier = open(f1 + str(date[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])

    fichier.close

ssch17_JUN=ssmis
lon17_JUN=ssch17_JUN[0,:]
lat17_JUN=ssch17_JUN[1,:]
jjr17_JUN=ssch17_JUN[4,:]
ts17_JUN=ssch17_JUN[8,:]
emis17_JUN=ssch17_JUN[14,:]
tb17_JUN=ssch17_JUN[13,:]
tup17_JUN=ssch17_JUN[16,:]
tdn17_JUN=ssch17_JUN[15,:]
trans17_JUN=ssch17_JUN[17,:]
orog17_JUN=ssch17_JUN[11,:]


imo = 4 # JULY
fichier = open(f1 + str(date[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])

    fichier.close

ssch17_JUL=ssmis
lon17_JUL=ssch17_JUL[0,:]
lat17_JUL=ssch17_JUL[1,:]
jjr17_JUL=ssch17_JUL[4,:]
ts17_JUL=ssch17_JUL[8,:]
emis17_JUL=ssch17_JUL[14,:]
tb17_JUL=ssch17_JUL[13,:]
tup17_JUL=ssch17_JUL[16,:]
tdn17_JUL=ssch17_JUL[15,:]
trans17_JUL=ssch17_JUL[17,:]
orog17_JUL=ssch17_JUL[11,:]


########
# ch18 #
########

f1 = '/net/dedale/usr/dedale/surf/lelod/ANTARC/SSMIS_CH18_ANTARC_'
f3 = '2010.DAT'
date=np.array(['FEBRUARY', 'APRIL', 'JULY'])
numlines = np.zeros([len(date)],int)

for imo in range (0, len(date)):
     print date[imo] 
     f = f1 + str(date[imo]) + f3
     fichier = open(f, 'r')
     numlines[imo] = 0
     for line in fichier: numlines[imo] += 1

      fichier.close()


imo = 0 # FEBUARY
fichier = open(f1 + str(date[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])

    fichier.close

ssch18_FEB=ssmis
lon18_FEB=ssch18_FEB[0,:]
lat18_FEB=ssch18_FEB[1,:]
jjr18_FEB=ssch18_FEB[4,:]
ts18_FEB=ssch18_FEB[8,:]
emis18_FEB=ssch18_FEB[14,:]
tb18_FEB=ssch18_FEB[13,:]
tup18_FEB=ssch18_FEB[16,:]
tdn18_FEB=ssch18_FEB[15,:]
trans18_FEB=ssch18_FEB[17,:]
orog18_FEB=ssch18_FEB[11,:]


imo = 1 # APRIL
fichier = open(f1 + str(date[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])

    fichier.close

ssch18_APR=ssmis
lon18_APR=ssch18_APR[0,:]
lat18_APR=ssch18_APR[1,:]
jjr18_APR=ssch18_APR[4,:]
ts18_APR=ssch18_APR[8,:]
emis18_APR=ssch18_APR[14,:]
tb18_APR=ssch18_APR[13,:]
tup18_APR=ssch18_APR[16,:]
tdn18_APR=ssch18_APR[15,:]
trans18_APR=ssch18_APR[17,:]
orog18_APR=ssch18_APR[11,:]



imo = 2 # JULY
fichier = open(f1 + str(date[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])

    fichier.close

ssch18_JUL=ssmis
lon18_JUL=ssch18_JUL[0,:]
lat18_JUL=ssch18_JUL[1,:]
jjr18_JUL=ssch18_JUL[4,:]
ts18_JUL=ssch18_JUL[8,:]
emis18_JUL=ssch18_JUL[14,:]
tb18_JUL=ssch18_JUL[13,:]
tup18_JUL=ssch18_JUL[16,:]
tdn18_JUL=ssch18_JUL[15,:]
trans18_JUL=ssch18_JUL[17,:]
orog18_JUL=ssch18_JUL[11,:]


##########
## ch12 ##
##########

f1 = '/net/dedale/usr/dedale/surf/lelod/ANTARC/SSMIS_CH12_ANTARC_'
f3 = '2010.DAT'
month = np.array(['FEBRUARY', 'APRIL', 'MAY', 'JUNE', 'JULY'])
numlines = np.zeros([len(month)],int)

for imo in range (0, len(month)):
     print month[imo] 
     f = f1 + str(month[imo]) + f3
     fichier = open(f, 'r')
     numlines[imo] = 0
     for line in fichier: numlines[imo] += 1

      fichier.close()


imo = 0 # FEB 
fichier = open(f1 + str(month[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close


ssch12_FEB=ssmis
lon12_FEB=ssch12_FEB[0,:]
lat12_FEB=ssch12_FEB[1,:]
jjr12_FEB=ssch12_FEB[4,:]
ts12_FEB=ssch12_FEB[8,:]
emis12_FEB=ssch12_FEB[14,:]
tb12_FEB=ssch12_FEB[13,:]
tup12_FEB=ssch12_FEB[16,:]
tdn12_FEB=ssch12_FEB[15,:]
trans12_FEB=ssch12_FEB[17,:]
orog12_FEB=ssch12_FEB[11,:]

imo = 1 # APR 
fichier = open(f1 + str(month[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close

ssch12_APR=ssmis
lon12_APR=ssch12_APR[0,:]
lat12_APR=ssch12_APR[1,:]
jjr12_APR=ssch12_APR[4,:]
ts12_APR=ssch12_APR[8,:]
emis12_APR=ssch12_APR[14,:]
tb12_APR=ssch12_APR[13,:]
tup12_APR=ssch12_APR[16,:]
tdn12_APR=ssch12_APR[15,:]
trans12_APR=ssch12_APR[17,:]
orog12_APR=ssch12_APR[11,:]


imo = 4 # JUL 
fichier = open(f1 + str(month[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close

ssch12_JUL=ssmis
lon12_JUL=ssch12_JUL[0,:]
lat12_JUL=ssch12_JUL[1,:]
jjr12_JUL=ssch12_JUL[4,:]
ts12_JUL=ssch12_JUL[8,:]
emis12_JUL=ssch12_JUL[14,:]
tb12_JUL=ssch12_JUL[13,:]
tup12_JUL=ssch12_JUL[16,:]
tdn12_JUL=ssch12_JUL[15,:]
trans12_JUL=ssch12_JUL[17,:]
orog12_JUL=ssch12_JUL[11,:]


##########
## ch13 ##
##########

f1 = '/net/dedale/usr/dedale/surf/lelod/ANTARC/SSMIS_CH13_ANTARC_'
f3 = '2010.DAT'
month = np.array(['FEBRUARY', 'APRIL', 'MAY', 'JUNE', 'JULY'])
numlines = np.zeros([len(month)],int)

for imo in range (0, len(month)):
     print month[imo] 
     f = f1 + str(month[imo]) + f3
     fichier = open(f, 'r')
     numlines[imo] = 0
     for line in fichier: numlines[imo] += 1

      fichier.close()


imo = 0 # FEB 
fichier = open(f1 + str(month[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close


ssch13_FEB=ssmis
lon13_FEB=ssch13_FEB[0,:]
lat13_FEB=ssch13_FEB[1,:]
jjr13_FEB=ssch13_FEB[4,:]
ts13_FEB=ssch13_FEB[8,:]
emis13_FEB=ssch13_FEB[14,:]
tb13_FEB=ssch13_FEB[13,:]
tup13_FEB=ssch13_FEB[16,:]
tdn13_FEB=ssch13_FEB[15,:]
trans13_FEB=ssch13_FEB[17,:]
orog13_FEB=ssch13_FEB[11,:]

imo = 1 # APR 
fichier = open(f1 + str(month[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close

ssch13_APR=ssmis
lon13_APR=ssch13_APR[0,:]
lat13_APR=ssch13_APR[1,:]
jjr13_APR=ssch13_APR[4,:]
ts13_APR=ssch13_APR[8,:]
emis13_APR=ssch13_APR[14,:]
tb13_APR=ssch13_APR[13,:]
tup13_APR=ssch13_APR[16,:]
tdn13_APR=ssch13_APR[15,:]
trans13_APR=ssch13_APR[17,:]
orog13_APR=ssch13_APR[11,:]


imo = 4 # JUL 
fichier = open(f1 + str(month[imo]) + f3, 'r')
ssmis = np.zeros([18, numlines[imo]], float)
for iligne in range (0,numlines[imo]):
    line = fichier.readline()
    liste = line.split()
    for j in range(0,18):
        ssmis[j,iligne] = float(liste[j])


    fichier.close

ssch13_JUL=ssmis
lon13_JUL=ssch13_JUL[0,:]
lat13_JUL=ssch13_JUL[1,:]
jjr13_JUL=ssch13_JUL[4,:]
ts13_JUL=ssch13_JUL[8,:]
emis13_JUL=ssch13_JUL[14,:]
tb13_JUL=ssch13_JUL[13,:]
tup13_JUL=ssch13_JUL[16,:]
tdn13_JUL=ssch13_JUL[15,:]
trans13_JUL=ssch13_JUL[17,:]
orog13_JUL=ssch13_JUL[11,:]
