#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
import ffgrid2
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
import draw_map
import carte 

#le_mois='NOVEMBER2009'

fichier=open("/net/argos/data/parvati/lahlod/ARCTIC/AMSUA_EMIS_GLACE_DECEMBER2009.DAT",'r')
numlines = 0
for line in fichier: numlines += 1

fichier.close


fichier=open("/net/argos/data/parvati/lahlod/ARCTIC/AMSUA_EMIS_GLACE_DECEMBER2009.DAT",'r')

nbtotal=numlines-1

iligne=0
lat=np.zeros([nbtotal],float)
lon=np.zeros([nbtotal],float)
jjr=np.zeros([nbtotal],float)
zen=np.zeros([nbtotal],float)
fov=np.zeros([nbtotal],float)
ts=np.zeros([nbtotal],float)
emis=np.zeros([4,nbtotal],float)
tb=np.zeros([4,nbtotal],float)
tup=np.zeros([4,nbtotal],float)
tdn=np.zeros([4,nbtotal],float)
#trans=np.zeros([4,nbtotal],float)



while (iligne < nbtotal) :
         line=fichier.readline()
         # exemple : line = "0.22 2.3 5.0 6"
         liste = line.split()
         # exemple : listeCoord ['0.22', '2.3', '5.0', '6'] (liste de chaine de caract?es)
         lat[iligne] = float(liste[1])
         lon[iligne] = float(liste[0])
         jjr[iligne] = float(liste[4])
         ts[iligne] = float(liste[8])
         fov[iligne] = float(liste[10])
         #trans[iligne] = float(liste[17])
         for ki in range(0,4):
             emis[ki,iligne] = float(liste[12+ki])
             tb[ki,iligne] = float(liste[16+ki])
             tdn[ki,iligne] = float(liste[20+ki])
             tup[ki,iligne] = float(liste[24+ki])
             #trans[ki,iligne] = float(liste[28+ki])
            # tup_ssmis[ki,iligne] = float(liste[28+ki])
            # tdn_ssmis[ki,iligne] = float(liste[37+ki])
             #trans_ssmis[ki,iligne] = float(liste[44+ki])
         iligne=iligne+1
         

fichier.close

for canal in range(0,4):
    for ii in range (0,size(emis[canal,:])):
        if (emis[canal,ii] > 1): emis[canal,ii]=0.9999
  

bblat = nonzero(lat >= 65.)  
bbjr = nonzero(jjr[bblat] == 1.)

lon_zon = lon[bblat][bbjr]
lat_zon = lat[bblat][bbjr]
emis_zon = emis[3,:][bblat][bbjr]


dx=1
dy=1
x0, x1 = -180, 180
y0, y1 = 65, 90

emis_mesh=np.zeros([len(arange(y0,y1+dy,dy)),len(arange(x0,x1+dx,dx))],float)
lon_mesh=np.zeros([len(arange(x0,x1+dx,dx))])
lat_mesh=np.zeros([len(arange(y0,y1+dy,dy))])
xx = lon[bblat][bbjr]
yy = lat[bblat][bbjr]
zz = emis[0,:][bblat][bbjr]
zz0 = min(zz)
zz1 = max(zz)
outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0,x1,y0,y1,zz0, zz1)
emis_mesh = outz
lon_mesh = outx
lat_mesh = outy

plt.ion()
figure()
#m = Basemap(llcrnrlon=-180,urcrnrlon=180,llcrnrlat=65,urcrnrlat=90,projection='cyl',resolution='c',fix_aspect=True)
m = Basemap(projection = 'npaeqd',boundinglat = 60, lon_0 = 0, resolution = 'l')
xii, yii = m(*np.meshgrid(lon_mesh,lat_mesh))
#clevs=arange(-2400, -800, 10)
m.drawcoastlines(linewidth=1)
m.drawparallels(np.arange(60, 90, 20))
m.drawmeridians(np.arange(-180, 180, 20))
cs=m.contourf(xii,yii,y, cmap=cm.s3pcpn_l_r) # emissivity
cbar =colorbar(cs)
#cbar.set_label(txt)

figure()
carte.draw(emis[3,:][bblat][bbjr],lon[bblat][bbjr],lat[bblat][bbjr],'mean_ee89_amsua_fev2010.png','Emissivity near 89 GHz',0.4,1.0,0.005,cm.s3pcpn)



